Last Comment Bug 556102 - Use :moz-locale-dir pseudoclass instead of chromedir attribute
: Use :moz-locale-dir pseudoclass instead of chromedir attribute
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Stefan [:stefanh] (away until May 28)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-30 14:38 PDT by Stefan [:stefanh] (away until May 28)
Modified: 2010-04-01 06:09 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Switch from chromedir to :moz-locale-dir (14.51 KB, patch)
2010-03-30 14:38 PDT, Stefan [:stefanh] (away until May 28)
kairo: review+
neil: superreview+
Details | Diff | Review

Description Stefan [:stefanh] (away until May 28) 2010-03-30 14:38:51 PDT
Created attachment 436016 [details] [diff] [review]
Switch from chromedir to :moz-locale-dir

For the record, subscribe.xhtml, aboutSessionRestore.xhtml, certError.xhtml use the same entity and it still lives in brand.dtd. Modern's scrollbox.css (obviously ported from windtripe) looks wrong to me - In rtl mode, I get the right-arrow at the left side of the menus (I expected the left-arrow at the left side). You can try this by adding the "intl.uidirection.en-US" pref and set it to "rtl".
Comment 1 neil@parkwaycc.co.uk 2010-03-30 14:47:35 PDT
Comment on attachment 436016 [details] [diff] [review]
Switch from chromedir to :moz-locale-dir

> #tabs > :first-child,
>-#tabs[chromedir=rtl] > :last-child {
>+#tabs:-moz-locale-dir(rtl) > :last-child {
>   -moz-border-radius-topleft: 2px;
>   -moz-border-radius-bottomleft: 2px;
>    border-left: none !important;
> }
> 
> #tabs > :last-child,
>-#tabs[chromedir=rtl] > :first-child {
>+#tabs:-moz-locale-dir(rtl) > :first-child {
>   -moz-border-radius-topright: 2px;
>   -moz-border-radius-bottomright: 2px;
> }
Doesn't this need ltr on the other rules, otherwise in an rtl environment both sets of rules will apply to both first and last tabs?
Comment 2 neil@parkwaycc.co.uk 2010-03-30 14:48:47 PDT
(In reply to comment #0)
> Modern's scrollbox.css (obviously ported from windtripe) looks wrong to me -
> In rtl mode, I get the right-arrow at the left side of the menus
What does scrollbox.css have to do with menu arrows? It's only used e.g. when you have zillions of bookmarks in a single folder and they don't fit on screen.
Comment 3 Stefan [:stefanh] (away until May 28) 2010-03-31 00:24:28 PDT
(In reply to comment #2)
> (In reply to comment #0)
> > Modern's scrollbox.css (obviously ported from windtripe) looks wrong to me -
> > In rtl mode, I get the right-arrow at the left side of the menus
> What does scrollbox.css have to do with menu arrows? It's only used e.g. when
> you have zillions of bookmarks in a single folder and they don't fit on screen.

It has nothing to do with menu arrows, I don't know what I was thinking of :-(
Comment 4 Stefan [:stefanh] (away until May 28) 2010-04-01 06:09:44 PDT
Fixed with Neil's comment #1 addressed: http://hg.mozilla.org/comm-central/rev/b9be42774b92

Note You need to log in before you can comment on or make changes to this bug.